<?php

namespace Ensi\MarketingClient;

class MarketingClientProvider
{
    /** @var string[] */
    public static $apis = [
        '\Ensi\MarketingClient\Api\PromoCodesApi',
        '\Ensi\MarketingClient\Api\DiscountCategoriesApi',
        '\Ensi\MarketingClient\Api\EnumsApi',
        '\Ensi\MarketingClient\Api\DiscountBrandsApi',
        '\Ensi\MarketingClient\Api\DiscountSegmentsApi',
        '\Ensi\MarketingClient\Api\DiscountsApi',
        '\Ensi\MarketingClient\Api\DiscountOffersApi',
        '\Ensi\MarketingClient\Api\DiscountConditionsApi',
    ];

    /** @var string[] */
    public static $dtos = [
        '\Ensi\MarketingClient\Dto\GetPromoCodeTypesResponse',
        '\Ensi\MarketingClient\Dto\RequestBodyPagination',
        '\Ensi\MarketingClient\Dto\GetDiscountConditionTypePropsResponse',
        '\Ensi\MarketingClient\Dto\DiscountConditionUpdatableProperties',
        '\Ensi\MarketingClient\Dto\DiscountForReplace',
        '\Ensi\MarketingClient\Dto\DiscountOfferReadonlyProperties',
        '\Ensi\MarketingClient\Dto\DiscountOfferResponse',
        '\Ensi\MarketingClient\Dto\CalculateForCheckoutResponseDataPromoCode',
        '\Ensi\MarketingClient\Dto\DiscountConditionResponse',
        '\Ensi\MarketingClient\Dto\OfferQty',
        '\Ensi\MarketingClient\Dto\PromoCodeReadonlyProperties',
        '\Ensi\MarketingClient\Dto\DiscountOfferProperties',
        '\Ensi\MarketingClient\Dto\SearchDiscountConditionsRequest',
        '\Ensi\MarketingClient\Dto\Error',
        '\Ensi\MarketingClient\Dto\DiscountConditionType',
        '\Ensi\MarketingClient\Dto\DiscountBrandResponse',
        '\Ensi\MarketingClient\Dto\CalculateForCatalogRequest',
        '\Ensi\MarketingClient\Dto\DiscountStatusEnum',
        '\Ensi\MarketingClient\Dto\DiscountSegmentRaw',
        '\Ensi\MarketingClient\Dto\DiscountRequest',
        '\Ensi\MarketingClient\Dto\RequestBodyOffsetPagination',
        '\Ensi\MarketingClient\Dto\PaginationTypeEnum',
        '\Ensi\MarketingClient\Dto\IdsObject',
        '\Ensi\MarketingClient\Dto\DiscountReadonlyProperties',
        '\Ensi\MarketingClient\Dto\CalculateForCheckoutRequestPayment',
        '\Ensi\MarketingClient\Dto\DiscountValueTypeEnum',
        '\Ensi\MarketingClient\Dto\DiscountSegment',
        '\Ensi\MarketingClient\Dto\EmptyDataResponse',
        '\Ensi\MarketingClient\Dto\PromoCodeStatus',
        '\Ensi\MarketingClient\Dto\MassDiscountsStatusUpdateRequest',
        '\Ensi\MarketingClient\Dto\IdObject',
        '\Ensi\MarketingClient\Dto\DiscountConditionProperties',
        '\Ensi\MarketingClient\Dto\GetDiscountTypesResponse',
        '\Ensi\MarketingClient\Dto\DiscountCategoryProperties',
        '\Ensi\MarketingClient\Dto\PromoCodeUpdatableProperties',
        '\Ensi\MarketingClient\Dto\Discount',
        '\Ensi\MarketingClient\Dto\GetDiscountStatusesResponse',
        '\Ensi\MarketingClient\Dto\DiscountConditionTypeEnum',
        '\Ensi\MarketingClient\Dto\CalculateForCatalogResponse',
        '\Ensi\MarketingClient\Dto\CalculateForCheckoutRequestCustomer',
        '\Ensi\MarketingClient\Dto\ResponseBodyPagination',
        '\Ensi\MarketingClient\Dto\CalculateForCheckoutRequestDeliveries',
        '\Ensi\MarketingClient\Dto\SearchDiscountBrandsRequest',
        '\Ensi\MarketingClient\Dto\SearchDiscountCategoriesResponse',
        '\Ensi\MarketingClient\Dto\DiscountInitProperties',
        '\Ensi\MarketingClient\Dto\DiscountCategoryResponse',
        '\Ensi\MarketingClient\Dto\ResponseBodyCursorPagination',
        '\Ensi\MarketingClient\Dto\DiscountOffer',
        '\Ensi\MarketingClient\Dto\DiscountConditionTypeProp',
        '\Ensi\MarketingClient\Dto\ErrorResponse',
        '\Ensi\MarketingClient\Dto\SearchDiscountsResponse',
        '\Ensi\MarketingClient\Dto\GetDiscountConditionTypesResponse',
        '\Ensi\MarketingClient\Dto\DiscountSegmentResponse',
        '\Ensi\MarketingClient\Dto\DiscountCategoryReadonlyProperties',
        '\Ensi\MarketingClient\Dto\DiscountCategory',
        '\Ensi\MarketingClient\Dto\DiscountTypeEnum',
        '\Ensi\MarketingClient\Dto\DiscountOfferCatalogRequest',
        '\Ensi\MarketingClient\Dto\DiscountOfferRaw',
        '\Ensi\MarketingClient\Dto\DiscountCondition',
        '\Ensi\MarketingClient\Dto\SearchDiscountsResponseMeta',
        '\Ensi\MarketingClient\Dto\CalculateForCheckoutRequest',
        '\Ensi\MarketingClient\Dto\SearchDiscountConditionsResponse',
        '\Ensi\MarketingClient\Dto\DiscountBrandReadonlyProperties',
        '\Ensi\MarketingClient\Dto\PromoCodeInitProperties',
        '\Ensi\MarketingClient\Dto\DiscountCategoryUpdatableProperties',
        '\Ensi\MarketingClient\Dto\MassDiscountsStatusUpdateRequestAllOf',
        '\Ensi\MarketingClient\Dto\SearchDiscountBrandsResponse',
        '\Ensi\MarketingClient\Dto\SearchDiscountSegmentsRequest',
        '\Ensi\MarketingClient\Dto\DiscountConditionTypePropEnum',
        '\Ensi\MarketingClient\Dto\CalculateForCheckoutResponse',
        '\Ensi\MarketingClient\Dto\PromoCodeStatusEnum',
        '\Ensi\MarketingClient\Dto\DiscountOfferUpdatableProperties',
        '\Ensi\MarketingClient\Dto\ResponseBodyOffsetPagination',
        '\Ensi\MarketingClient\Dto\DiscountType',
        '\Ensi\MarketingClient\Dto\RequestBodyCursorPagination',
        '\Ensi\MarketingClient\Dto\ModelInterface',
        '\Ensi\MarketingClient\Dto\SearchDiscountOffersRequest',
        '\Ensi\MarketingClient\Dto\DiscountSegmentProperties',
        '\Ensi\MarketingClient\Dto\PromoCodeType',
        '\Ensi\MarketingClient\Dto\CalculateForCheckoutResponseDataDiscounts',
        '\Ensi\MarketingClient\Dto\PromoCodeTypeEnum',
        '\Ensi\MarketingClient\Dto\SearchDiscountOffersResponse',
        '\Ensi\MarketingClient\Dto\GetPromoCodeStatusesResponse',
        '\Ensi\MarketingClient\Dto\DiscountSegmentReadonlyProperties',
        '\Ensi\MarketingClient\Dto\OffersDiscountCatalogResponse',
        '\Ensi\MarketingClient\Dto\DiscountSegmentUpdatableProperties',
        '\Ensi\MarketingClient\Dto\OffersDiscountCheckoutResponse',
        '\Ensi\MarketingClient\Dto\DiscountUpdatableProperties',
        '\Ensi\MarketingClient\Dto\SearchDiscountSegmentsResponse',
        '\Ensi\MarketingClient\Dto\PromoCodeResponse',
        '\Ensi\MarketingClient\Dto\DiscountBrandRaw',
        '\Ensi\MarketingClient\Dto\SearchDiscountsRequest',
        '\Ensi\MarketingClient\Dto\CalculateForCheckoutResponseData',
        '\Ensi\MarketingClient\Dto\DiscountStatus',
        '\Ensi\MarketingClient\Dto\DiscountBrandProperties',
        '\Ensi\MarketingClient\Dto\CalculateForCheckoutResponseDataDeliveries',
        '\Ensi\MarketingClient\Dto\DiscountResponse',
        '\Ensi\MarketingClient\Dto\DiscountBrandUpdatableProperties',
        '\Ensi\MarketingClient\Dto\OffersDiscountCatalogResponseDiscounts',
        '\Ensi\MarketingClient\Dto\DiscountConditionRaw',
        '\Ensi\MarketingClient\Dto\SearchPromoCodesRequest',
        '\Ensi\MarketingClient\Dto\PromoCode',
        '\Ensi\MarketingClient\Dto\DiscountIncludes',
        '\Ensi\MarketingClient\Dto\SearchPromoCodesResponse',
        '\Ensi\MarketingClient\Dto\DiscountOfferCheckoutRequest',
        '\Ensi\MarketingClient\Dto\DiscountConditionReadonlyProperties',
        '\Ensi\MarketingClient\Dto\DiscountCategoryRaw',
        '\Ensi\MarketingClient\Dto\DiscountBrand',
        '\Ensi\MarketingClient\Dto\SearchDiscountCategoriesRequest',
        '\Ensi\MarketingClient\Dto\DiscountExternalTypeEnum',
        '\Ensi\MarketingClient\Dto\PromoCodeRequest',
    ];

    /** @var string */
    public static $configuration = '\Ensi\MarketingClient\Configuration';
}
